.\"	$NetBSD: nis.8,v 1.2 2005/02/26 16:39:17 thorpej Exp $
.\"
.\" Copyright (c) 1992/3 Theo de Raadt <deraadt@fsa.ca>
.\" All rights reserved.
.\" Portions Copyright (c) 1994 Jason R. Thorpe.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt NIS 8
.Os
.Sh NAME
.Nm nis ,
.Nm yp
.Nd description of the NIS (formerly YP) subsystem
.Sh SYNOPSIS
.Nm ypbind
.Op Fl ypset
.Nm ypbind
.Op Fl ypsetme
.Pp
.Nm ypset
.Op Fl h Ar host
.Op Fl d Ar domain
.Ar server
.Pp
.Nm yppoll
.Op Fl h Ar host
.Op Fl d Ar domain
.Ar mapname
.Pp
.Nm ypcat
.Op Fl kt
.Op Fl d Ar domainname
.Ar mapname
.Nm ypcat
.Fl x
.Pp
.Nm ypmatch
.Op Fl kt
.Op Fl d Ar domainname
.Ar key ... mapname
.Nm ypmatch
.Fl x
.Pp
.Nm ypwhich
.Op Fl d Ar domain
.Oo
.Op Fl t
.Fl m Op Ar mname
|
.Ar host
.Oc
.Nm ypwhich
.Fl x
.Pp
.Nm ypserv
.Op Fl d
.Op Fl x
.Pp
.Nm yppush
.Op Fl d Ar domainname
.Op Fl h Ar hostname
.Op Fl v
.Ar mapname
.Pp
.Nm ypxfr
.Op Fl bcf
.Op Fl d Ar domain
.Op Fl h Ar host
.Op Fl s Ar domain
.Op Fl C Ar tid prog ipadd port
.Ar mapname
.Pp
.Nm ypinit
.Fl m
.Op Ar domainname
.Nm ypinit
.Fl s
.Ar master_server
.Op Ar domainname
.Pp
.Nm yptest
.Pp
.Nm rpc.yppasswdd
.Op Fl noshell
.Op Fl nogecos
.Op Fl nopw
.Op Fl m Ar arg1 arg2 ...
.Sh DESCRIPTION
The
.Tn NIS
subsystem allows network management of passwd and group file
entries through the functions
.Xr getpwent 3
and
.Xr getgrent 3 .
.Tn NIS
also provides hooks for other client programs, such as
.Xr amd 8
and
.Xr rpc.bootparamd 8 ,
that can use
.Tn NIS
maps.
.Pp
Password maps in standard YP are insecure, because the pw_passwd
field is accessible by any user. A common solution to this is to
generate a secure map (using
.Dq makedbm -s )
which can only be accessed by a client bound to a privileged port.
To activate the secure map, see the appropriate comment in
.Pa /var/yp/Makefile.yp .
.Pp
The
.Tn NIS
subsystem is conditionally started in
.Pa /etc/rc .
See the
.Pa /etc/rc.conf
file for configuration variables.
.Sh SEE ALSO
.Xr domainname 1 ,
.Xr ypcat 1 ,
.Xr ypmatch 1 ,
.Xr ypwhich 1 ,
.Xr ypclnt 3 ,
.Xr group 5 ,
.Xr hosts_access 5 ,
.Xr nsswitch.conf 5 ,
.Xr passwd 5 ,
.Xr rc.conf 5 ,
.Xr rc 8 ,
.Xr ypbind 8 ,
.Xr ypinit 8 ,
.Xr yppoll 8 ,
.Xr yppush 8 ,
.Xr ypserv 8 ,
.Xr ypset 8 ,
.Xr yptest 8 ,
.Xr ypxfr 8
.Sh HISTORY
The
.Tn NIS
client subsystem was originally written by Theo de Raadt
to be compatible with Sun's implementation.  The
.Tn NIS
server suite was originally written by Mats O Jansson.
.Sh BUGS
If
.Xr ypbind 8
cannot find a server, the system behaves the same way as Sun's code:
it hangs.
.Pp
The
.Sq secure map
feature is not compatible with non-BSD implementations as found
e.g. in Solaris.
